function Search() {
    var that;
    that = this;
    
    that.submit = function submit() {
        return true;
    };
    
    that.takeFocus = function takeFocus(inputElem) {
        if (inputElem.value === inputElem.defaultValue) {  
            inputElem.value = '';  
        } else {  
            inputElem.select();  
        }
    };
    
    that.loseFocus = function loseFocus(inputElem) {
        if ($.trim( inputElem.value ) === '') {  
            inputElem.value = ( inputElem.defaultValue ? inputElem.defaultValue : '');
        }
    }
};

var creatticaSearch = new Search();